summarylogtreecommitdiffstats
path: root/electron-deno-ide.sh
diff options
context:
space:
mode:
Diffstat (limited to 'electron-deno-ide.sh')
-rw-r--r--electron-deno-ide.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/electron-deno-ide.sh b/electron-deno-ide.sh
index f3585a4a8cda..2ec4412e5c4f 100644
--- a/electron-deno-ide.sh
+++ b/electron-deno-ide.sh
@@ -1,8 +1,14 @@
#!/bin/bash
-_ELECTRON=/usr/bin/electron25
-_ASAR="/opt/electron-deno-ide/resources/app.asar"
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
+export ELECTRON_IS_DEV=0
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
else
- exec ${_ELECTRON} ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
fi \ No newline at end of file